Bug 177721 - multimedia/mplayer: Missing dependency
Summary: multimedia/mplayer: Missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-08 21:10 UTC by Walter Hurry
Modified: 2013-12-24 17:34 UTC (History)
0 users

See Also:


Attachments
m.diff.txt (304 bytes, text/plain; charset=US-ASCII)
2013-04-09 21:16 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Hurry 2013-04-08 21:10:00 UTC
multimedia/mplayer needs libXss.so.1 at runtime, so it should have a dependency on x11/libXScrnSaver, but it does not.

x11/libXScrnSaver should be added as a dependency.

Fix: 

Add x11/libXScrnSaver as a dependency of multimedia/mplayer
How-To-Repeat: Remove x11/libXScrnSaver. mplayer now errors out with "shared library not found"
Comment 1 Edwin Groothuis freebsd_committer 2013-04-08 21:10:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-08 21:10:16 UTC
Maintainer of multimedia/mplayer,

Please note that PR ports/177721 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177721

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Thomas Zander 2013-04-09 21:16:21 UTC
I am not near my dev/test system right now, but attached patch should
do it. Can you verify?

Regards
Riggs
Comment 4 Walter Hurry 2013-04-10 15:58:26 UTC
Works for me:

$ grep USE_XORG= /usr/ports/multimedia/mplayer/Makefile
USE_XORG=	x11 xscrnsaver
$ sudo pkg delete -y libXScrnSaver
The following packages will be deinstalled:

	libXScrnSaver-1.2.1

The deinstallation will free 34 kB
Deleting libXScrnSaver-1.2.1...
libXScrnSaver-1.2.1 is required by: mplayer-1.1.r20130308
$

Walter
Comment 5 Pawel Pekala freebsd_committer 2013-05-02 14:05:01 UTC
This patch will not work for X11=3Doff, binary will still link to
libXScrnSaver. Configure script have switch to control this:
 --(enable|disable)-xss which defaults to autodetection.

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 6 Thierry Thomas freebsd_committer 2014-06-01 07:55:55 UTC
State Changed
From-To: feedback->analyzed


Feedback received. See PR ports/185142. 



Comment 7 Thierry Thomas freebsd_committer 2014-06-01 07:55:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 8 Thierry Thomas freebsd_committer 2014-06-01 07:55:55 UTC
State Changed
From-To: analyzed->closed


Dependency registration on screensaver has been fixed when upgradingt to 
1.1.20131223 (see PR ports/185142). 

Thanks for the report!